Skip to main content
GET
Get a Project Member

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

projectId
string
required

The unique identifier for the Project.

Required string length: 24
Pattern: ^[a-z0-9]{24}$
userId
string
required

The Id of the User

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Response

Returns the project member with all information.

The IEntityMeta defines meta information every entity within the system has. These are dates when a resource was created and modified as well as information about the user who initially created a resource and who modified it the last time.

id
string
name
string
roles
enum<string>[]
Available options:
agentAssistConfigAdmin,
agentAssistConfigViewer,
analytics,
basic,
connection_admin,
contact_profile_admin,
contact_profile_editor,
contact_profile_viewer,
conversationHistory,
developer,
endpoint_admin,
extension_admin,
extension_editor,
flowEditor,
flowNodeComments,
flowNodeDescriptions,
followUser,
handoverProviderAdmin,
intents,
data_privacy_admin,
data_privacy_editor,
data_privacy_viewer,
knowledgeAdmin,
large_language_model_admin,,
lexicon_admin,
lexicon_editor,
localesAdmin,
logs,
memberManager,
nlu_connector_admin,
packages_admin,
playbook_admin,
playbook_editor,
projectAdmin,
snapshot_admin,
tokenAdmin,
tokenEditor,
function_admin,
function_editor,
simulator_admin,
admin
acceptedTOS
boolean
disabled
boolean
acl
object
allowedLocales
object[] | null
_id
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
createdAt
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

lastChanged
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

createdBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
lastChangedBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
Last modified on July 22, 2026